Subject: RE: [External] : bug#400: 23.0.60; C-h v should pick up lispified name in Customize

From: Drew Adams <[email-masked]>
Date: Fri, 22 Oct 2021 16:51:50 +0000

> FWIW I'd like a command in a customize-group buffer to
> expand all docstrings.  When I try out a new package I often
> use customize-group to get an overview of things I can tweak
> in it, and it's a pain to click More on all the options and
> to open them.
> 
> bug#15748 "Provide a way to hide/show all values" is for
> this, 

+1. Yes.

> but I'm now thinking that something like outline-cycle
> would be great in any customize buffer.  Let S-TAB cycle
> through the various states of all options at once.

Fine.  But:

1. There should also be a simple visual affordance
   (e.g., button or some indication of a key to hit).
   Customize is also (but not only) for new users,
   who won't necessarily know about such a cycling
   key.

2. Unfortunately, Emacs decided to follow the outside
   convention that S-TAB has the same behavior as TAB,
   except that it cycles backward.  This wasn't a good
   idea, IMO, but it was done, so another key would be
   needed for your cycling behavior.